> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send an email

> Send an email via a connected Gmail Actions integration.



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/hyperspell.yaml post /actions/send_email
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security:
  - APIKey: []
    AsUser: []
paths:
  /actions/send_email:
    post:
      tags:
        - Actions
      summary: Send an email
      description: Send an email via a connected Gmail Actions integration.
      operationId: send_email_actions_send_email_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendEmailRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
        - AsUser: []
components:
  schemas:
    SendEmailRequest:
      properties:
        provider:
          $ref: '#/components/schemas/DocumentProviders'
          description: Integration provider
          default: gmail_actions
        connection:
          anyOf:
            - type: string
            - type: 'null'
          title: Connection
          description: Connection ID. If omitted, auto-resolved from provider + user.
        to:
          items:
            type: string
          type: array
          title: To
          description: Recipient email addresses
        subject:
          type: string
          title: Subject
          description: Email subject line
        body:
          type: string
          title: Body
          description: Email body (plain text)
        cc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cc
          description: CC recipients
        bcc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Bcc
          description: BCC recipients
      type: object
      required:
        - to
        - subject
        - body
      title: SendEmailRequest
      description: Send an email via Gmail.
    ActionResult:
      properties:
        success:
          type: boolean
          title: Success
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        provider_response:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provider Response
      type: object
      required:
        - success
      title: ActionResult
      description: Result from executing an integration action.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentProviders:
      type: string
      enum:
        - reddit
        - notion
        - slack
        - google_calendar
        - google_mail
        - box
        - dropbox
        - github
        - google_drive
        - vault
        - web_crawler
        - trace
        - microsoft_teams
        - gmail_actions
        - granola
        - fathom
        - fireflies
        - linear
        - hubspot
        - salesforce
        - coda
        - lightfield
        - gong
        - pylon
        - clickup
      title: DocumentProviders
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>
    AsUser:
      type: apiKey
      description: >-
        Optionally set this header to act as a specific user when using an API
        Key, equivalent to first exchanging the API Key for a User Token
      in: header
      name: X-As-User

````